import dynamix_sdk.base as _base


class CloudbrokerComputeChangeReadOnlyResultBool(
    _base.BaseAPIResultBool,
):
    pass


class CloudbrokerComputeChangeReadOnlyProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def change_read_only(
        self,
        *,
        vm_id: int,
        read_only: bool,
    ) -> CloudbrokerComputeChangeReadOnlyResultBool:
        ...
